pngine

Prior art

Every algorithm in Pngine is published work. It claims no novelty; it claims a licence and a platform. Full citations are in NOTICE.

Component Source
Median-cut quantization Heckbert (1982)
k-means / Lloyd refinement Lloyd (1982)
Floyd-Steinberg error diffusion Floyd & Steinberg (1976)
Jarvis-Judice-Ninke error diffusion Jarvis, Judice & Ninke (1976)
Perceptual colour distance (“redmean”) Riemersma / CompuPhase
PNG container RFC 2083
DEFLATE RFC 1951
zlib container RFC 1950

No code was taken from pngquant or libimagequant.

Licence

Pngine is Apache-2.0. See LICENSE.